package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/5/20
 */
@ApiModel
public class CourseSchedulePlanVo implements Serializable {
    @ApiModelProperty(value = "课程id")
    private Long courseId;
    @ApiModelProperty(value = "课程介绍")
    private String courseIntroduce;
    @ApiModelProperty(value = "课程状态 NOT_START未开始 ING进行中 COMPLETE已完成 CANCEL已取消")
    private String courseStatus;
    @ApiModelProperty(value = "课时数")
    private Integer classNum;
    @ApiModelProperty(value = "上课日期")
    private Date classDate;
    @ApiModelProperty(value = "上课时间")
    private Date startTime;
    @ApiModelProperty(value = "下课时间")
    private Date endTime;
    @ApiModelProperty(value = "结算状态 NOT_START未上课、WAIT待结算、COMPLETE已结算、CANCEL已取消")
    private String salaryStatus;
    @ApiModelProperty(value = "录播地址")
    private String url;
    @ApiModelProperty("老师签到状态 0:异常 1:正常")
    private Integer teacherInSign;
    @ApiModelProperty("老师签退状态 0:异常 1:正常")
    private Integer teacherOutSign;

    public Integer getTeacherInSign() {
        return teacherInSign;
    }

    public void setTeacherInSign(Integer teacherInSign) {
        this.teacherInSign = teacherInSign;
    }

    public Integer getTeacherOutSign() {
        return teacherOutSign;
    }

    public void setTeacherOutSign(Integer teacherOutSign) {
        this.teacherOutSign = teacherOutSign;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseIntroduce() {
        return courseIntroduce;
    }

    public void setCourseIntroduce(String courseIntroduce) {
        this.courseIntroduce = courseIntroduce;
    }

    public String getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(String courseStatus) {
        this.courseStatus = courseStatus;
    }

    public Integer getClassNum() {
        return classNum;
    }

    public void setClassNum(Integer classNum) {
        this.classNum = classNum;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getSalaryStatus() {
        return salaryStatus;
    }

    public void setSalaryStatus(String salaryStatus) {
        this.salaryStatus = salaryStatus;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}

